Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Mesh Class Reference

メッシュ More...

`#include <Mesh.h>`

Inheritance diagram for Lamp::Mesh:

List of all members.

## Public Types
enum | PrimitiveType { triangleList = 0, indexedTriangleList, ptMax }
| プリミティブタイプ More...
## Public Member Functions
virtual int | getReferenceCount () const
| リファレンスカウントの取得
virtual Mesh * | copy (u_int copyMask=0) const=0
| コピー
virtual Model * | getParent () const
| 親の取得
virtual bool | isGlobalScaled () const
| グローバルでスケールを使用しているか
virtual bool | requireNormalize () const
| 法線の正規化を必要とするか
virtual void | setBoundingSphere (const Sphere &boundingSphere)
| バウンディングスフィアの設定
virtual const Sphere & | getBoundingSphere () const
| バウンディングスフィアの取得
virtual const Sphere & | getWorldBoundingSphere () const
| ワールドバウンディングスフィアの取得
virtual void | setBoundingBox (const AxisAlignedBox &boundingBox)
| バウンディングボックスの設定
virtual const AxisAlignedBox & | getBoundingBox () const
| バウンディングボックスの取得
virtual const AxisAlignedBox & | getWorldBoundingBox () const
| ワールドバウンディングボックスの取得
virtual const Vector3 & | getCenter () const
| 中心の取得
virtual const Vector3 & | getWorldCenter () const
| ワールド中心の取得
virtual void | setEnabled (bool enabled)
| 有効、無効の設定
virtual bool | isEnabled () const
| 有効、無効の取得
virtual bool | isGlobalEnabled () const
| グローバルでの有効、無効の取得
virtual void | setMeshData (MeshData *meshData)
| メッシュデータの設定
virtual MeshData * | getMeshData () const
| メッシュデータの取得
virtual void | removeMeshData ()
| メッシュデータの削除
virtual void | setMaterial (Material *material)
| マテリアルの設定
virtual Material * | getMaterial () const
| マテリアルの取得
virtual void | removeMaterial ()
| マテリアルの削除
virtual void | setPrimitiveType (Mesh::PrimitiveType primitiveType)
| プリミティブタイプの設定
virtual Mesh::PrimitiveType | getPrimitiveType () const
| プリミティブタイプの取得
virtual int | getPrimitiveCount () const
| プリミティブカウントの取得
virtual Triangle | getTriangle (int index) const
| 三角の取得
virtual bool | hasVertexIndices () const
| 頂点インデックスを持つかどうか
virtual void | setVertexIndexCount (int vertexIndexCount)
| 頂点インデックス数の設定
virtual int | getVertexIndexCount () const
| 頂点インデックス数の取得
virtual void | setVertexIndex (int index, int vertexIndex)
| 頂点インデックスの設定
virtual int | getVertexIndex (int index) const
| 頂点インデックスの取得
virtual const u_short * | getVertexIndexArray ()
| 頂点インデックス配列の取得
virtual void | setVertexCount (int vertexCount)
| 頂点数の設定
virtual int | getVertexCount () const
| 頂点数の取得
virtual void | setPosition (int index, const Vector3 &position)
| 位置の設定
virtual const Vector3 & | getPosition (int index) const
| 位置の取得
virtual const Vector3 * | getPositionArray () const
| 位置配列の取得
virtual void | enableNormal (bool normalFlag)
| 法線を有効にするかどうか
virtual bool | hasNormal () const
| 法線が有効かどうか
virtual void | setNormal (int index, const Vector3 &normal)
| 法線の設定
virtual const Vector3 & | getNormal (int index) const
| 法線の取得
virtual const Vector3 * | getNormalArray () const
| 法線配列の取得
virtual void | enableColor (bool colorFlag)
| カラーを有効にするかどうか
virtual bool | hasColor () const
| カラーが有効かどうか
virtual void | setColor (int index, const Color4c &color)
| カラーの設定
virtual const Color4c & | getColor (int index) const
| カラーの取得
virtual const Color4c * | getColorArray () const
| カラー配列の取得
virtual void | setTexCoordSetCount (int texCoordSetCount)
| テクスチャ座標セット数の設定
virtual int | getTexCoordSetCount () const
| テクスチャ座標セット数の設定
virtual void | setTexCoordType (int texCoordSet, TexCoord::Type texCoordType)
| テクスチャ座標タイプの設定
virtual TexCoord::Type | getTexCoordType (int texCoordSet) const
| テクスチャ座標タイプの取得
virtual const TexCoord::Type * | getTexCoordTypeArray () const
| テクスチャ座標タイプ配列の取得
virtual void | setTexCoord (int index, int texCoordSet, const float *texCoord, int numTexCoord)
| テクスチャ座標の設定
virtual const float *const * | getTexCoordArray () const
| テクスチャ座標配列の取得
virtual const float * | getTexCoordArray (int texCoordSet) const
| テクスチャ座標配列の取得
virtual int | getTexCoordArraySize (int texCoordSet) const
| テクスチャ座標配列サイズの取得
virtual void | setTexCoord1 (int index, int texCoordSet, const TexCoord1 &texCoord)
| 一次元テクスチャ座標の設定
virtual const TexCoord1 & | getTexCoord1 (int index, int texCoordSet) const
| 一次元テクスチャ座標の取得
virtual const TexCoord1 * | getTexCoord1Array (int texCoordSet) const
| 一次元テクスチャ座標配列の取得
virtual void | setTexCoord2 (int index, int texCoordSet, const TexCoord2 &texCoord)
| 二次元テクスチャ座標の設定
virtual const TexCoord2 & | getTexCoord2 (int index, int texCoordSet) const
| 二次元テクスチャ座標の取得
virtual const TexCoord2 * | getTexCoord2Array (int texCoordSet) const
| 二次元テクスチャ座標配列の取得
virtual void | setTexCoord3 (int index, int texCoordSet, const TexCoord3 &texCoord)
| 三次元テクスチャ座標の設定
virtual const TexCoord3 & | getTexCoord3 (int index, int texCoordSet) const
| 三次元テクスチャ座標の取得
virtual const TexCoord3 * | getTexCoord3Array (int texCoordSet) const
| 三次元テクスチャ座標配列の取得
virtual void | setTexCoord4 (int index, int texCoordSet, const TexCoord4 &texCoord)
| 四次元テクスチャ座標の設定
virtual const TexCoord4 & | getTexCoord4 (int index, int texCoordSet) const
| 四次元テクスチャ座標の取得
virtual const TexCoord4 * | getTexCoord4Array (int texCoordSet) const
| 四次元テクスチャ座標配列の取得
virtual void | setBonesPerVertex (int bonesPerVertex)
| 頂点あたりボーン数の設定
virtual int | getBonesPerVertex () const
| 頂点あたりボーン数の取得
virtual bool | hasBoneIndex () const
| ボーンインデックスが有効かどうか
virtual void | setBoneIndex (int vertexIndex, int boneNumber, u_char boneIndex)
| ボーンインデックスの設定
virtual void | setBoneIndex (int vertexIndex, u_char boneIndex)
| ボーンインデックスの設定
virtual u_char | getBoneIndex (int vertexIndex, int boneNumber) const
| ボーンインデックスの取得
virtual u_char | getBoneIndex (int vertexIndex) const
| ボーンインデックスの取得
virtual const u_char * | getBoneIndexArray () const
| ボーンインデックス配列の取得
virtual int | getWeightsPerVertex () const
| 頂点当たりウェイト数の取得
virtual bool | hasWeight () const
| ウェイトが有効かどうか
virtual void | setWeight (int vertexIndex, int boneNumber, float weight)
| ウェイトの設定
virtual float | getWeight (int vertexIndex, int boneNumber) const
| ウェイトの取得
virtual const float * | getWeightArray () const
| ウェイト配列の取得
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
virtual bool | isMesh () const
| メッシュかどうか
virtual bool | isRigidMesh () const
| 剛体メッシュかどうか
virtual RigidMesh * | castRigidMesh () const
| 剛体メッシュへのキャスト
virtual bool | isCharacterMesh () const
| キャラクタメッシュかどうか
virtual CharacterMesh * | castCharacterMesh () const
| キャラクタメッシュへのキャスト
## Static Public Member Functions
int | recursiveDestroy (Mesh *mesh)
| 再帰的破棄
bool | primitiveTypeHasIndex (PrimitiveType primitiveType)
| プリミティブタイプがインデックスを持つかどうか
String | primitiveTypeToString (PrimitiveType primitiveType)
| プリミティブタイプから文字列への変換
PrimitiveType | primitiveTypeFromString (const String &primitiveTypeString)
| 文字列からプリミティブタイプへの変換
## Protected Member Functions
| Mesh (const String &name, Scene *scene)
| コンストラクタ
virtual | ~Mesh ()
| デストラクタ
virtual void | copyMeshValue (Mesh *destination, u_int copyMask) const
| メッシュの値コピー
virtual Direct3DIndexBuffer * | getIndexBuffer ()
| インデックスバッファの取得
virtual Direct3DVertexDeclaration * | getVertexDeclaration ()
| 頂点記述の取得
virtual int | getVertexSize ()
| 頂点サイズの取得
virtual Direct3DVertexBuffer * | getVertexBuffer ()
| 頂点バッファの構築
virtual bool | characterDeform ()
| キャラクタ変形
virtual Direct3DVertexDeclaration * | getDeformedVertexDeclaration ()
| 変形頂点記述の取得
virtual int | getDeformedVertexSize ()
| 変形頂点サイズの取得
virtual Direct3DVertexBuffer * | getDeformedVertexBuffer ()
| 変形頂点バッファの構築
virtual void | setRenderingTemporaryData (float renderingTemporaryData)
| レンダリングテンポラリデータの設定
virtual float | getRenderingTemporaryData () const
| レンダリングテンポラリデータの取得
virtual void | setParent (Model *parent)
| 親の設定
virtual void | removeParent (Model *parent)
| 親の削除
virtual void | traverse (const Matrix34 &parentMatrix, bool parentEnabled, bool parentScaled, bool parentChanged)
| 走査
## Friends
class | SceneObjectManagerTemplate< Mesh >
class | Renderer
class | MeshManager
class | Model
class | Shader
class | FixedShader

## Detailed Description

メッシュ

Definition at line 44 of file Mesh.h.

## Member Enumeration Documentation

enum Lamp::Mesh::PrimitiveType

  | プリミティブタイプ Enumeration values:
  triangleList | トライアングルリスト
  indexedTriangleList | インデックストライアングルリスト
  ptMax | プリミティブタイプ最大値
Definition at line 222 of file Mesh.h. Referenced by primitiveTypeFromString().

## Constructor & Destructor Documentation

Lamp::Mesh::Mesh | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 42 of file Mesh.cpp. References NULL.

## Member Function Documentation

virtual CharacterMesh* Lamp::Mesh::castCharacterMesh | ( |  | ) | const`[inline, virtual]`

| キャラクタメッシュへのキャスト Returns: キャラクタメッシュ。型が違えばNULLを返す。 Definition at line 735 of file Mesh.h. References isCharacterMesh(), and NULL. Referenced by Lamp::TextSceneSaver::writeMeshList(), and Lamp::BinarySceneSaver::writeMeshList().

virtual RigidMesh* Lamp::Mesh::castRigidMesh | ( |  | ) | const`[inline, virtual]`

| 剛体メッシュへのキャスト Returns: 剛体メッシュ。型が違えばNULLを返す。 Definition at line 719 of file Mesh.h. References isRigidMesh(), and NULL. Referenced by Lamp::TextSceneSaver::writeMeshList(), and Lamp::BinarySceneSaver::writeMeshList().

virtual bool Lamp::Mesh::characterDeform | ( |  | ) | `[inline, protected, virtual]`

| キャラクタ変形 Returns: キャラクタ変形を行ったらtrue Reimplemented in Lamp::CharacterMesh. Definition at line 795 of file Mesh.h. Referenced by Lamp::FixedShader::drawFixed().

virtual Mesh* Lamp::Mesh::copy | ( | u_int | copyMask = 0 | ) | const`[pure virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたメッシュ Implemented in Lamp::CharacterMesh, and Lamp::RigidMesh.

void Lamp::Mesh::copyMeshValue | ( | Mesh * | destination,
|  | u_int | copyMask
| ) | const`[protected, virtual]`

  | メッシュの値コピー Parameters:
  destination | コピー先メッシュ
  copyMask | コピーマスク
Definition at line 53 of file Mesh.cpp. References Lamp::Material::copy(), Lamp::MeshData::copy(), Lamp::SceneObject::copyMaterial, Lamp::SceneObject::copyMeshData, NULL, setEnabled(), setMaterial(), and setMeshData(). Referenced by Lamp::CharacterMesh::copyCharacterMesh(), and Lamp::RigidMesh::copyRigidMesh().

void Lamp::Mesh::enableColor | ( | bool | colorFlag | ) | `[virtual]`

  | カラーを有効にするかどうか Parameters:
  colorFlag | trueならカラーが有効になる
Definition at line 304 of file Mesh.cpp. References Lamp::MeshData::enableColor(), and getMeshData().

void Lamp::Mesh::enableNormal | ( | bool | normalFlag | ) | `[virtual]`

  | 法線を有効にするかどうか Parameters:
  normalFlag | trueなら法線が有効になる
Definition at line 281 of file Mesh.cpp. References Lamp::MeshData::enableNormal(), and getMeshData().

u_char Lamp::Mesh::getBoneIndex | ( | int | vertexIndex | ) | const`[virtual]`

  | ボーンインデックスの取得 Parameters:
  vertexIndex | 頂点インデックス
Returns: ボーンインデックス Definition at line 463 of file Mesh.cpp. References Lamp::MeshData::getBoneIndex(), getMeshData(), and u_char.

u_char Lamp::Mesh::getBoneIndex | ( | int | vertexIndex,
|  | int | boneNumber
| ) | const`[virtual]`

  | ボーンインデックスの取得 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
Returns: ボーンインデックス Definition at line 458 of file Mesh.cpp. References Lamp::MeshData::getBoneIndex(), getMeshData(), and u_char.

const u_char * Lamp::Mesh::getBoneIndexArray | ( |  | ) | const`[virtual]`

| ボーンインデックス配列の取得 Returns: ボーンインデックス配列 Definition at line 468 of file Mesh.cpp. References Lamp::MeshData::getBoneIndexArray(), getMeshData(), and u_char. Referenced by Lamp::CharacterMesh::skinningDeformP(), Lamp::CharacterMesh::skinningDeformPN(), Lamp::CharacterMesh::stitchingDeformP(), and Lamp::CharacterMesh::stitchingDeformPN().

int Lamp::Mesh::getBonesPerVertex | ( |  | ) | const`[virtual]`

| 頂点あたりボーン数の取得 Returns: 頂点あたりボーン数 Definition at line 438 of file Mesh.cpp. References Lamp::MeshData::getBonesPerVertex(), and getMeshData(). Referenced by Lamp::CharacterMesh::deform(), Lamp::CharacterMesh::skinningDeformP(), and Lamp::CharacterMesh::skinningDeformPN().

const AxisAlignedBox & Lamp::Mesh::getBoundingBox | ( |  | ) | const`[virtual]`

| バウンディングボックスの取得 Returns: バウンディングボックス Definition at line 133 of file Mesh.cpp. References Assert, Lamp::MeshData::getBoundingBox(), and NULL. Referenced by Lamp::CollisionConverter::convertStaticDeformedMesh(), Lamp::CalculateBoundingSphereFilter::filterMesh(), and traverse().

const Sphere & Lamp::Mesh::getBoundingSphere | ( |  | ) | const`[virtual]`

| バウンディングスフィアの取得 Returns: バウンディングスフィア Definition at line 147 of file Mesh.cpp. References Assert, Lamp::MeshData::getBoundingSphere(), and NULL. Referenced by Lamp::CollisionConverter::convertStaticDeformedMesh(), and traverse().

const Vector3 & Lamp::Mesh::getCenter | ( |  | ) | const`[virtual]`

| 中心の取得 Returns: 中心 Definition at line 153 of file Mesh.cpp. References Assert, Lamp::MeshData::getBoundingSphere(), Lamp::Sphere::getCenter(), and NULL.

const Color4c & Lamp::Mesh::getColor | ( | int | index | ) | const`[virtual]`

  | カラーの取得 Parameters:
  index | インデックス
Returns: カラー Definition at line 317 of file Mesh.cpp. References Lamp::MeshData::getColor(), and getMeshData().

const Color4c * Lamp::Mesh::getColorArray | ( |  | ) | const`[virtual]`

| カラー配列の取得 Returns: カラー配列 Definition at line 322 of file Mesh.cpp. References Lamp::MeshData::getColorArray(), and getMeshData(). Referenced by Lamp::CharacterMesh::setupVertexBuffer().

virtual Direct3DVertexBuffer* Lamp::Mesh::getDeformedVertexBuffer | ( |  | ) | `[inline, protected, virtual]`

| 変形頂点バッファの構築 Returns: 変形頂点バッファ Reimplemented in Lamp::CharacterMesh. Definition at line 822 of file Mesh.h. References Assert, Direct3DVertexBuffer, and NULL. Referenced by Lamp::FixedShader::drawFixed().

virtual Direct3DVertexDeclaration* Lamp::Mesh::getDeformedVertexDeclaration | ( |  | ) | `[inline, protected, virtual]`

| 変形頂点記述の取得 Returns: 変形頂点記述 Reimplemented in Lamp::CharacterMesh. Definition at line 804 of file Mesh.h. References Assert, Direct3DVertexDeclaration, and NULL. Referenced by Lamp::FixedShader::drawFixed().

virtual int Lamp::Mesh::getDeformedVertexSize | ( |  | ) | `[inline, protected, virtual]`

| 変形頂点サイズの取得 Returns: 変形頂点サイズ Reimplemented in Lamp::CharacterMesh. Definition at line 813 of file Mesh.h. References Assert. Referenced by Lamp::FixedShader::drawFixed().

Direct3DIndexBuffer * Lamp::Mesh::getIndexBuffer | ( |  | ) | `[protected, virtual]`

| インデックスバッファの取得 Returns: インデックスバッファ Definition at line 498 of file Mesh.cpp. References Direct3DIndexBuffer, Lamp::MeshData::getIndexBuffer(), and getMeshData(). Referenced by Lamp::Shader::drawCall().

virtual Material* Lamp::Mesh::getMaterial | ( |  | ) | const`[inline, virtual]`

| マテリアルの取得 Returns: マテリアル Definition at line 211 of file Mesh.h. Referenced by Lamp::SceneLogicCheckFilter::filterMesh(), Lamp::Scene::getMeshList(), recursiveDestroy(), Lamp::Renderer::rendering(), Lamp::CollisionConverter::setCollisionLeafData(), Lamp::Renderer::sortMeshList(), Lamp::TextSceneSaver::writeMeshLink(), and Lamp::BinarySceneSaver::writeMeshLink().

virtual MeshData* Lamp::Mesh::getMeshData | ( |  | ) | const`[inline, virtual]`

| メッシュデータの取得 Returns: メッシュデータ Definition at line 191 of file Mesh.h. Referenced by enableColor(), enableNormal(), Lamp::SceneLogicCheckFilter::filterMesh(), getBoneIndex(), getBoneIndexArray(), getBonesPerVertex(), getColor(), getColorArray(), getIndexBuffer(), Lamp::Scene::getMeshList(), getNormal(), getNormalArray(), getPosition(), getPositionArray(), getPrimitiveCount(), getPrimitiveType(), getTexCoord1(), getTexCoord1Array(), getTexCoord2(), getTexCoord2Array(), getTexCoord3(), getTexCoord3Array(), getTexCoord4(), getTexCoord4Array(), getTexCoordArray(), getTexCoordArraySize(), getTexCoordSetCount(), getTexCoordType(), getTexCoordTypeArray(), getTriangle(), getVertexBuffer(), getVertexCount(), getVertexDeclaration(), getVertexIndex(), getVertexIndexArray(), getVertexIndexCount(), getVertexSize(), getWeight(), getWeightArray(), getWeightsPerVertex(), hasBoneIndex(), hasColor(), hasNormal(), hasVertexIndices(), hasWeight(), recursiveDestroy(), setBoneIndex(), setBonesPerVertex(), setColor(), setNormal(), setPosition(), setPrimitiveType(), setTexCoord(), setTexCoord1(), setTexCoord2(), setTexCoord3(), setTexCoord4(), setTexCoordSetCount(), setTexCoordType(), setVertexCount(), setVertexIndex(), setVertexIndexCount(), setWeight(), Lamp::TextSceneSaver::writeMeshLink(), and Lamp::BinarySceneSaver::writeMeshLink().

const Vector3 & Lamp::Mesh::getNormal | ( | int | index | ) | const`[virtual]`

  | 法線の取得 Parameters:
  index | インデックス
Returns: 法線 Definition at line 294 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getNormal().

const Vector3 * Lamp::Mesh::getNormalArray | ( |  | ) | const`[virtual]`

| 法線配列の取得 Returns: 法線配列 Definition at line 299 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getNormalArray(). Referenced by Lamp::CharacterMesh::skinningDeformPN(), and Lamp::CharacterMesh::stitchingDeformPN().

virtual Model* Lamp::Mesh::getParent | ( |  | ) | const`[inline, virtual]`

| 親の取得 Returns: 親 Definition at line 81 of file Mesh.h. Referenced by Lamp::CharacterMesh::deform(), recursiveDestroy(), and Lamp::DrawRequest::setMesh().

const Vector3 & Lamp::Mesh::getPosition | ( | int | index | ) | const`[virtual]`

  | 位置の取得 Parameters:
  index | インデックス
Returns: 位置 Definition at line 271 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getPosition(). Referenced by Lamp::CalculateBoundingSphereFilter::filterMesh(), and Lamp::CalculateBoundingBoxFilter::filterMesh().

const Vector3 * Lamp::Mesh::getPositionArray | ( |  | ) | const`[virtual]`

| 位置配列の取得 Returns: 位置配列 Definition at line 276 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getPositionArray(). Referenced by Lamp::CharacterMesh::skinningDeformP(), Lamp::CharacterMesh::skinningDeformPN(), Lamp::CharacterMesh::stitchingDeformP(), and Lamp::CharacterMesh::stitchingDeformPN().

int Lamp::Mesh::getPrimitiveCount | ( |  | ) | const`[virtual]`

| プリミティブカウントの取得 Returns: プリミティブカウント Definition at line 218 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getPrimitiveCount(). Referenced by Lamp::CollisionConverter::convertStaticDeformedMesh(), and Lamp::Shader::drawCall().

Mesh::PrimitiveType Lamp::Mesh::getPrimitiveType | ( |  | ) | const`[virtual]`

| プリミティブタイプの取得 Returns: プリミティブタイプ Definition at line 213 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getPrimitiveType(). Referenced by Lamp::CollisionConverter::convertStaticDeformedMesh().

virtual int Lamp::Mesh::getReferenceCount | ( |  | ) | const`[inline, virtual]`

| リファレンスカウントの取得 Returns: リファレンスカウント Implements Lamp::SceneObject. Definition at line 56 of file Mesh.h. References NULL. Referenced by Lamp::SceneLogicCheckFilter::filterMesh().

const TexCoord1 & Lamp::Mesh::getTexCoord1 | ( | int | index,
|  | int | texCoordSet
| ) | const`[virtual]`

  | 一次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 一次元テクスチャ座標 Definition at line 378 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord1().

const TexCoord1 * Lamp::Mesh::getTexCoord1Array | ( | int | texCoordSet | ) | const`[virtual]`

  | 一次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 一次元テクスチャ座標配列 Definition at line 383 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord1Array().

const TexCoord2 & Lamp::Mesh::getTexCoord2 | ( | int | index,
|  | int | texCoordSet
| ) | const`[virtual]`

  | 二次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 二次元テクスチャ座標 Definition at line 393 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord2().

const TexCoord2 * Lamp::Mesh::getTexCoord2Array | ( | int | texCoordSet | ) | const`[virtual]`

  | 二次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 二次元テクスチャ座標配列 Definition at line 398 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord2Array().

const TexCoord3 & Lamp::Mesh::getTexCoord3 | ( | int | index,
|  | int | texCoordSet
| ) | const`[virtual]`

  | 三次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 三次元テクスチャ座標 Definition at line 408 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord3().

const TexCoord3 * Lamp::Mesh::getTexCoord3Array | ( | int | texCoordSet | ) | const`[virtual]`

  | 三次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 三次元テクスチャ座標配列 Definition at line 413 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord3Array().

const TexCoord4 & Lamp::Mesh::getTexCoord4 | ( | int | index,
|  | int | texCoordSet
| ) | const`[virtual]`

  | 四次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 四次元テクスチャ座標 Definition at line 423 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord4().

const TexCoord4 * Lamp::Mesh::getTexCoord4Array | ( | int | texCoordSet | ) | const`[virtual]`

  | 四次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 四次元テクスチャ座標配列 Definition at line 428 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoord4Array().

const float * Lamp::Mesh::getTexCoordArray | ( | int | texCoordSet | ) | const`[virtual]`

  | テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: テクスチャ座標配列 Definition at line 363 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoordArray().

const float *const * Lamp::Mesh::getTexCoordArray | ( |  | ) | const`[virtual]`

| テクスチャ座標配列の取得 Returns: テクスチャ座標配列 Definition at line 358 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoordArray(). Referenced by Lamp::CharacterMesh::setupVertexBuffer().

int Lamp::Mesh::getTexCoordArraySize | ( | int | texCoordSet | ) | const`[virtual]`

  | テクスチャ座標配列サイズの取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: テクスチャ座標配列サイズ Definition at line 368 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoordArraySize().

int Lamp::Mesh::getTexCoordSetCount | ( |  | ) | const`[virtual]`

| テクスチャ座標セット数の設定 Returns: テクスチャ座標セット数 Definition at line 332 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoordSetCount(). Referenced by Lamp::CharacterMesh::createVertexDeclaration(), and Lamp::CharacterMesh::setupVertexBuffer().

TexCoord::Type Lamp::Mesh::getTexCoordType | ( | int | texCoordSet | ) | const`[virtual]`

  | テクスチャ座標タイプの取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: テクスチャ座標タイプ Definition at line 342 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoordType().

const TexCoord::Type * Lamp::Mesh::getTexCoordTypeArray | ( |  | ) | const`[virtual]`

| テクスチャ座標タイプ配列の取得 Returns: テクスチャ座標タイプ配列 Definition at line 347 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTexCoordTypeArray(). Referenced by Lamp::CharacterMesh::createVertexDeclaration(), and Lamp::CharacterMesh::setupVertexBuffer().

Triangle Lamp::Mesh::getTriangle | ( | int | index | ) | const`[virtual]`

  | 三角の取得 Parameters:
  index | プリミティブインデックス
Returns: 三角 Definition at line 223 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getTriangle(). Referenced by Lamp::CollisionConverter::convertStaticDeformedMesh().

Direct3DVertexBuffer * Lamp::Mesh::getVertexBuffer | ( |  | ) | `[protected, virtual]`

| 頂点バッファの構築 Returns: 頂点バッファ Definition at line 511 of file Mesh.cpp. References Direct3DVertexBuffer, getMeshData(), and Lamp::MeshData::getVertexBuffer(). Referenced by Lamp::FixedShader::drawFixed().

int Lamp::Mesh::getVertexCount | ( |  | ) | const`[virtual]`

| 頂点数の取得 Returns: 頂点数 Definition at line 263 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getVertexCount(). Referenced by Lamp::CharacterMesh::createVertexBuffer(), Lamp::CharacterMesh::deform(), Lamp::Shader::drawCall(), Lamp::CalculateBoundingSphereFilter::filterMesh(), Lamp::CalculateBoundingBoxFilter::filterMesh(), Lamp::CharacterMesh::setupVertexBuffer(), Lamp::CharacterMesh::skinningDeformP(), Lamp::CharacterMesh::skinningDeformPN(), Lamp::CharacterMesh::stitchingDeformP(), and Lamp::CharacterMesh::stitchingDeformPN().

Direct3DVertexDeclaration * Lamp::Mesh::getVertexDeclaration | ( |  | ) | `[protected, virtual]`

| 頂点記述の取得 Returns: 頂点記述 Definition at line 503 of file Mesh.cpp. References Direct3DVertexDeclaration, getMeshData(), and Lamp::MeshData::getVertexDeclaration(). Referenced by Lamp::FixedShader::drawFixed().

int Lamp::Mesh::getVertexIndex | ( | int | index | ) | const`[virtual]`

  | 頂点インデックスの取得 Parameters:
  index | インデックス
Returns: 頂点インデックス Definition at line 248 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getVertexIndex().

const u_short * Lamp::Mesh::getVertexIndexArray | ( |  | ) | `[virtual]`

| 頂点インデックス配列の取得 Returns: 頂点インデックス配列 Definition at line 253 of file Mesh.cpp. References getMeshData(), Lamp::MeshData::getVertexIndexArray(), and u_short.

int Lamp::Mesh::getVertexIndexCount | ( |  | ) | const`[virtual]`

| 頂点インデックス数の取得 Returns: 頂点インデックス数 Definition at line 238 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getVertexIndexCount().

int Lamp::Mesh::getVertexSize | ( |  | ) | `[protected, virtual]`

| 頂点サイズの取得 Returns: 頂点サイズ Definition at line 508 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getVertexSize(). Referenced by Lamp::FixedShader::drawFixed().

float Lamp::Mesh::getWeight | ( | int | vertexIndex,
|  | int | boneNumber
| ) | const`[virtual]`

  | ウェイトの取得 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
Returns: ウェイト Definition at line 486 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getWeight().

const float * Lamp::Mesh::getWeightArray | ( |  | ) | const`[virtual]`

| ウェイト配列の取得 Returns: ウェイト配列 Definition at line 491 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getWeightArray(). Referenced by Lamp::CharacterMesh::skinningDeformP(), and Lamp::CharacterMesh::skinningDeformPN().

int Lamp::Mesh::getWeightsPerVertex | ( |  | ) | const`[virtual]`

| 頂点当たりウェイト数の取得 Returns: 頂点あたりウェイト数 Definition at line 473 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::getWeightsPerVertex(). Referenced by Lamp::CharacterMesh::skinningDeformP(), and Lamp::CharacterMesh::skinningDeformPN().

virtual const AxisAlignedBox& Lamp::Mesh::getWorldBoundingBox | ( |  | ) | const`[inline, virtual]`

| ワールドバウンディングボックスの取得 Returns: ワールドバウンディングボックス Definition at line 138 of file Mesh.h. Referenced by Lamp::Scene::getLocalLightList(), and Lamp::Scene::getMeshList().

virtual const Sphere& Lamp::Mesh::getWorldBoundingSphere | ( |  | ) | const`[inline, virtual]`

| ワールドバウンディングスフィアの取得 Returns: ワールドバウンディングスフィア Definition at line 115 of file Mesh.h. Referenced by Lamp::Scene::getLocalLightList(), Lamp::Scene::getMeshList(), and Lamp::InformationRenderer::setupMeshBounding().

virtual const Vector3& Lamp::Mesh::getWorldCenter | ( |  | ) | const`[inline, virtual]`

| ワールド中心の取得 Returns: ワールド中心 Definition at line 155 of file Mesh.h. References Lamp::Sphere::getCenter(). Referenced by Lamp::Renderer::buildMeshList(), and Lamp::DrawRequest::sortLocalLightsImprement().

bool Lamp::Mesh::hasBoneIndex | ( |  | ) | const`[virtual]`

| ボーンインデックスが有効かどうか Returns: ボーンインデックスが有効ならtrue Definition at line 443 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::hasBoneIndex().

bool Lamp::Mesh::hasColor | ( |  | ) | const`[virtual]`

| カラーが有効かどうか Returns: カラーが有効ならtrue Definition at line 309 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::hasColor(). Referenced by Lamp::CharacterMesh::createVertexDeclaration().

bool Lamp::Mesh::hasNormal | ( |  | ) | const`[virtual]`

| 法線が有効かどうか Returns: 法線が有効ならtrue Definition at line 286 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::hasNormal(). Referenced by Lamp::CharacterMesh::createVertexDeclaration(), Lamp::CharacterMesh::deform(), and Lamp::CharacterMesh::skinningDeformPN().

bool Lamp::Mesh::hasVertexIndices | ( |  | ) | const`[virtual]`

| 頂点インデックスを持つかどうか Returns: 頂点インデックスを持つならtrue Definition at line 228 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::hasVertexIndices(). Referenced by Lamp::Shader::drawCall().

bool Lamp::Mesh::hasWeight | ( |  | ) | const`[virtual]`

| ウェイトが有効かどうか Returns: ウェイトが有効ならtrue Definition at line 478 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::hasWeight().

virtual bool Lamp::Mesh::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 681 of file Mesh.h. Referenced by Lamp::MeshManager::initializeGraphicsDeviceObjects().

virtual bool Lamp::Mesh::isCharacterMesh | ( |  | ) | const`[inline, virtual]`

| キャラクタメッシュかどうか Returns: キャラクタメッシュならtrue Reimplemented in Lamp::CharacterMesh. Definition at line 729 of file Mesh.h. Referenced by Lamp::CharacterModel::addMesh(), castCharacterMesh(), Lamp::CalculateBoundingSphereFilter::filterMesh(), Lamp::CalculateBoundingBoxFilter::filterMesh(), Lamp::TextSceneSaver::writeMeshList(), and Lamp::BinarySceneSaver::writeMeshList().

virtual bool Lamp::Mesh::isEnabled | ( |  | ) | const`[inline, virtual]`

| 有効、無効の取得 Returns: trueなら有効、falseなら無効 Definition at line 170 of file Mesh.h. Referenced by Lamp::CollisionConverter::setCollisionLeafData(), traverse(), Lamp::TextSceneSaver::writeCharacterMesh(), Lamp::BinarySceneSaver::writeCharacterMesh(), Lamp::TextSceneSaver::writeRigidMesh(), and Lamp::BinarySceneSaver::writeRigidMesh().

virtual bool Lamp::Mesh::isGlobalEnabled | ( |  | ) | const`[inline, virtual]`

| グローバルでの有効、無効の取得 Returns: trueなら有効、falseなら無効 Definition at line 176 of file Mesh.h. Referenced by Lamp::Scene::getMeshList(), and Lamp::CharacterMesh::traverse().

virtual bool Lamp::Mesh::isGlobalScaled | ( |  | ) | const`[inline, virtual]`

| グローバルでスケールを使用しているか Returns: グローバルでスケールを使用しているならtrue Definition at line 88 of file Mesh.h.

virtual bool Lamp::Mesh::isMesh | ( |  | ) | const`[inline, virtual]`

| メッシュかどうか Returns: メッシュならtrue Reimplemented from Lamp::SceneObject. Definition at line 706 of file Mesh.h.

virtual bool Lamp::Mesh::isRigidMesh | ( |  | ) | const`[inline, virtual]`

| 剛体メッシュかどうか Returns: 剛体メッシュならtrue Reimplemented in Lamp::RigidMesh. Definition at line 713 of file Mesh.h. Referenced by Lamp::StandardModel::addMesh(), castRigidMesh(), Lamp::TextSceneSaver::writeMeshList(), and Lamp::BinarySceneSaver::writeMeshList().

Mesh::PrimitiveType Lamp::Mesh::primitiveTypeFromString | ( | const String & | primitiveTypeString | ) | `[static]`

  | 文字列からプリミティブタイプへの変換 Parameters:
  primitiveTypeString | プリミティブタイプ文字列
Returns: プリミティブタイプ Definition at line 194 of file Mesh.cpp. References Lamp::String::equals(), ErrorOut, PrimitiveType, and ptMax.

bool Lamp::Mesh::primitiveTypeHasIndex | ( | PrimitiveType | primitiveType | ) | `[static]`

  | プリミティブタイプがインデックスを持つかどうか Parameters:
  primitiveType | プリミティブタイプ
Returns: プリミティブタイプがインデックスを持つならtrue Definition at line 179 of file Mesh.cpp.

String Lamp::Mesh::primitiveTypeToString | ( | PrimitiveType | primitiveType | ) | `[static]`

  | プリミティブタイプから文字列への変換 Parameters:
  primitiveType | プリミティブタイプ
Returns: プリミティブタイプ文字列 Definition at line 187 of file Mesh.cpp. References Assert, and ptMax.

int Lamp::Mesh::recursiveDestroy | ( | Mesh * | mesh | ) | `[static]`

  | 再帰的破棄 Parameters:
  mesh | 破棄するメッシュ
Returns: 破棄したオブジェクト数 Definition at line 79 of file Mesh.cpp. References Assert, Lamp::SceneObjectManagerTemplate< Mesh >::destroy(), getMaterial(), getMeshData(), Lamp::Scene::getMeshManager(), getParent(), Lamp::SceneObject::getScene(), NULL, Lamp::Model::removeMesh(), setMaterial(), and setMeshData().

virtual void Lamp::Mesh::removeParent | ( | Model * | parent | ) | `[inline, protected, virtual]`

  | 親の削除 Parameters:
  parent | 削除する親
Definition at line 859 of file Mesh.h. References Assert, and NULL. Referenced by Lamp::Model::removeMesh().

virtual bool Lamp::Mesh::requireNormalize | ( |  | ) | const`[inline, virtual]`

| 法線の正規化を必要とするか Returns: 法線の正規化を必要とするならtrue Reimplemented in Lamp::CharacterMesh. Definition at line 94 of file Mesh.h. Referenced by Lamp::DrawRequest::requireNormalize().

virtual bool Lamp::Mesh::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 692 of file Mesh.h. Referenced by Lamp::MeshManager::restoreGraphicsDeviceObjects().

void Lamp::Mesh::setBoneIndex | ( | int | vertexIndex,
|  | u_char | boneIndex
| ) | `[virtual]`

  | ボーンインデックスの設定 Parameters:
  vertexIndex | 頂点インデックス
  boneIndex | ボーンインデックス
Definition at line 453 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setBoneIndex().

void Lamp::Mesh::setBoneIndex | ( | int | vertexIndex,
|  | int | boneNumber,
|  | u_char | boneIndex
| ) | `[virtual]`

  | ボーンインデックスの設定 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
  boneIndex | ボーンインデックス
Definition at line 446 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setBoneIndex().

void Lamp::Mesh::setBonesPerVertex | ( | int | bonesPerVertex | ) | `[virtual]`

  | 頂点あたりボーン数の設定 Parameters:
  bonesPerVertex | 頂点あたりボーン数
Definition at line 433 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setBonesPerVertex().

void Lamp::Mesh::setBoundingBox | ( | const AxisAlignedBox & | boundingBox | ) | `[virtual]`

  | バウンディングボックスの設定 Parameters:
  boundingBox | 設定するバウンディングボックス
Definition at line 127 of file Mesh.cpp. References Assert, NULL, and Lamp::MeshData::setBoundingBox(). Referenced by Lamp::CalculateBoundingBoxFilter::filterMesh().

void Lamp::Mesh::setBoundingSphere | ( | const Sphere & | boundingSphere | ) | `[virtual]`

  | バウンディングスフィアの設定 Parameters:
  boundingSphere | 設定するバウンディングスフィア
Definition at line 141 of file Mesh.cpp. References Assert, NULL, and Lamp::MeshData::setBoundingSphere(). Referenced by Lamp::CalculateBoundingSphereFilter::filterMesh().

void Lamp::Mesh::setColor | ( | int | index,
|  | const Color4c & | color
| ) | `[virtual]`

  | カラーの設定 Parameters:
  index | インデックス
  color | カラー
Definition at line 312 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setColor().

virtual void Lamp::Mesh::setEnabled | ( | bool | enabled | ) | `[inline, virtual]`

  | 有効、無効の設定 Parameters:
  enabled | trueなら有効、falseなら無効
Definition at line 164 of file Mesh.h. Referenced by copyMeshValue(), Lamp::TextSceneLoader::readCharacterMesh(), Lamp::BinarySceneLoader::readCharacterMesh(), Lamp::TextSceneLoader::readRigidMesh(), and Lamp::BinarySceneLoader::readRigidMesh().

void Lamp::Mesh::setMaterial | ( | Material * | material | ) | `[virtual]`

  | マテリアルの設定 Parameters:
  material | 設定するマテリアル
Definition at line 170 of file Mesh.cpp. References Lamp::Material::addReference(), NULL, and Lamp::Material::removeReference(). Referenced by copyMeshValue(), Lamp::TextSceneLoader::readMeshLink(), Lamp::BinarySceneLoader::readMeshLink(), recursiveDestroy(), and removeMaterial().

void Lamp::Mesh::setMeshData | ( | MeshData * | meshData | ) | `[virtual]`

  | メッシュデータの設定 Parameters:
  meshData | 設定するメッシュデータ
Definition at line 161 of file Mesh.cpp. References Lamp::MeshData::addReference(), NULL, and Lamp::MeshData::removeReference(). Referenced by copyMeshValue(), Lamp::TextSceneLoader::readMeshLink(), Lamp::BinarySceneLoader::readMeshLink(), recursiveDestroy(), and removeMeshData().

void Lamp::Mesh::setNormal | ( | int | index,
|  | const Vector3 & | normal
| ) | `[virtual]`

  | 法線の設定 Parameters:
  index | インデックス
  normal | 法線
Definition at line 289 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setNormal().

virtual void Lamp::Mesh::setParent | ( | Model * | parent | ) | `[inline, protected, virtual]`

  | 親の設定 Parameters:
  parent | 設定する親
Definition at line 848 of file Mesh.h. References Assert, and NULL. Referenced by Lamp::Model::addMesh().

void Lamp::Mesh::setPosition | ( | int | index,
|  | const Vector3 & | position
| ) | `[virtual]`

  | 位置の設定 Parameters:
  index | インデックス
  position | 位置
Definition at line 266 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setPosition().

void Lamp::Mesh::setPrimitiveType | ( | Mesh::PrimitiveType | primitiveType | ) | `[virtual]`

  | プリミティブタイプの設定 Parameters:
  primitiveType | プリミティブタイプ
Definition at line 208 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setPrimitiveType().

virtual void Lamp::Mesh::setRenderingTemporaryData | ( | float | renderingTemporaryData | ) | `[inline, protected, virtual]`

  | レンダリングテンポラリデータの設定 Parameters:
  renderingTemporaryData | レンダリングテンポラリデータ
Definition at line 832 of file Mesh.h. Referenced by Lamp::Renderer::buildMeshList().

void Lamp::Mesh::setTexCoord | ( | int | index,
|  | int | texCoordSet,
|  | const float * | texCoord,
|  | int | numTexCoord
| ) | `[virtual]`

  | テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | テクスチャ座標
  numTexCoord | いくつのテクスチャ座標か
Definition at line 352 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoord().

void Lamp::Mesh::setTexCoord1 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord1 & | texCoord
| ) | `[virtual]`

  | 一次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 一次元テクスチャ座標
Definition at line 373 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoord1().

void Lamp::Mesh::setTexCoord2 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord2 & | texCoord
| ) | `[virtual]`

  | 二次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 二次元テクスチャ座標
Definition at line 388 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoord2().

void Lamp::Mesh::setTexCoord3 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord3 & | texCoord
| ) | `[virtual]`

  | 三次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 三次元テクスチャ座標
Definition at line 403 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoord3().

void Lamp::Mesh::setTexCoord4 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord4 & | texCoord
| ) | `[virtual]`

  | 四次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 四次元テクスチャ座標
Definition at line 418 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoord4().

void Lamp::Mesh::setTexCoordSetCount | ( | int | texCoordSetCount | ) | `[virtual]`

  | テクスチャ座標セット数の設定 Parameters:
  texCoordSetCount | テクスチャ座標セット数
Definition at line 327 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoordSetCount().

void Lamp::Mesh::setTexCoordType | ( | int | texCoordSet,
|  | TexCoord::Type | texCoordType
| ) | `[virtual]`

  | テクスチャ座標タイプの設定 Parameters:
  texCoordSet | テクスチャ座標セット
  texCoordType | テクスチャ座標タイプ
Definition at line 337 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setTexCoordType().

void Lamp::Mesh::setVertexCount | ( | int | vertexCount | ) | `[virtual]`

  | 頂点数の設定 Parameters:
  vertexCount | 頂点数
Definition at line 258 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setVertexCount().

void Lamp::Mesh::setVertexIndex | ( | int | index,
|  | int | vertexIndex
| ) | `[virtual]`

  | 頂点インデックスの設定 Parameters:
  index | インデックス
  vertexIndex | 頂点インデックス
Definition at line 243 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setVertexIndex().

void Lamp::Mesh::setVertexIndexCount | ( | int | vertexIndexCount | ) | `[virtual]`

  | 頂点インデックス数の設定 Parameters:
  vertexIndexCount | 頂点インデックス数
Definition at line 233 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setVertexIndexCount().

void Lamp::Mesh::setWeight | ( | int | vertexIndex,
|  | int | boneNumber,
|  | float | weight
| ) | `[virtual]`

  | ウェイトの設定 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
  weight | ウェイト
Definition at line 481 of file Mesh.cpp. References getMeshData(), and Lamp::MeshData::setWeight().

void Lamp::Mesh::traverse | ( | const Matrix34 & | parentMatrix,
|  | bool | parentEnabled,
|  | bool | parentScaled,
|  | bool | parentChanged
| ) | `[protected, virtual]`

  | 走査 Parameters:
  parentMatrix | 親行列
  parentEnabled | 親が有効か
  parentScaled | 親がスケールを使用しているか
  parentChanged | 親に変更があったか
Reimplemented in Lamp::CharacterMesh. Definition at line 104 of file Mesh.cpp. References Lamp::MeshData::clearBoundingChanged(), getBoundingBox(), getBoundingSphere(), Lamp::MeshData::isBoundingChanged(), isEnabled(), Lamp::Sphere::scaledTransform(), Lamp::Sphere::transform(), and Lamp::AxisAlignedBox::transform(). Referenced by Lamp::Model::traverse().

The documentation for this class was generated from the following files:

- Mesh.h
- Mesh.cpp